<div class="demo-vertical-spacing">
    <div class="card">
        <h6 class="card-header">
            <h3 class="pull-left">Tenant List
                 <!--<button class="btn btn-md btn-primary pull-right" (click)="navigateToAddNewTenent()">
                    <span class="fa fa-plus"></span> Add New Tenant</button> -->
            </h3>
            <div class="row">
                <div class="col-sm-6 col-md-5 col-lg-12">
                    <input class="form-control" type='text' placeholder='Search' (keyup)='updateFilter($event)'>
                </div>
            </div>
        </h6>
        <div *ngIf="!detectmob()"  class="card-ngx-datatable table-responsive">
            <ngx-datatable #table style="min-width: 550px" [rows]="rows" [loadingIndicator]="loadingIndicator" [columnMode]="'force'"
                [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">

                <ngx-datatable-column name="companyname">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Company Name
                    </ng-template>
                </ngx-datatable-column>
                <ngx-datatable-column name="companyid">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Company ID
                    </ng-template>
                </ngx-datatable-column>

                <ngx-datatable-column name="companydb">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Company DB
                    </ng-template>
                </ngx-datatable-column>
                <ngx-datatable-column name="usercount">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        User Count
                    </ng-template>
                </ngx-datatable-column>
                
                <ngx-datatable-column name="opration">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Action
                    </ng-template>
                    <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                        <button class="btn icon-btn btn-sm btn-outline-info borderless" placement="bottom" ngbTooltip="Edit" (click)="edit(row['companyid'])">
                            <i class="fas fa-user-edit"></i>
                        </button>
                    </ng-template>
                </ngx-datatable-column>
            </ngx-datatable>
        </div>
        <div *ngIf="detectmob()" class="card-ngx-datatable table-responsive">
                <ngx-datatable #table style="min-width: 550px" [rows]="rows" [loadingIndicator]="loadingIndicator" [columnMode]="'force'"
                    [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">
    
                    <ngx-datatable-column name="companyname">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Company Name
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column name="companyid">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Company ID
                        </ng-template>
                    </ngx-datatable-column>
    
                    <ngx-datatable-column name="companydb">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Company DB
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column name="usercount">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            User Count
                        </ng-template>
                    </ngx-datatable-column>
                    
                    <ngx-datatable-column name="opration">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Action
                        </ng-template>
                        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                                <button class="btn icon-btn btn-sm btn-outline-info borderless tooltipMob" (press)="onLongPress('Edit')" (pressUp)="onPressUp()" (tap)="edit(row['companyid'])">
                                    <i class="fas fa-user-edit"></i>
                                    <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                </button>
                        </ng-template>
                    </ngx-datatable-column>
                </ngx-datatable>
            </div>
    </div>
    <!-- </div>
    </div> -->